<?php

if (!function_exists('seanlite_customize_panel_function')) {

	function seanlite_customize_panel_function() {
		
		$theme_panel = array ( 

			/* START SUPPORT SECTION */ 

			array(
			
				'title' => esc_html__( 'Upgrade to Sean Premium','sean-lite'),
				'id' => 'sean-lite-customize-info',
				'type' => 'sean-lite-customize-info',
				'section' => 'sean-lite-customize-info',
				'priority' => '08',

			),

			/* FULL IMAGE BACKGROUND */ 

			array(
				
				"label" => esc_html__( "Full Image Background",'sean-lite'),
				"description" => esc_html__( "Do you want to set a full background image? (After the upload, check 'Fixed', from the Background Attachment section)",'sean-lite'),
				"id" => "wip_full_image_background",
				"type" => "select",
				"section" => "background_image",
				"options" => array (
				   "off" => esc_html__( "No",'sean-lite'),
				   "on" => esc_html__( "Yes",'sean-lite'),
				),
				
				"std" => "off",
			
			),

			/* START GENERAL SECTION */ 

			array( 
				
				"title" => esc_html__( "General",'sean-lite'),
				"description" => esc_html__( "General",'sean-lite'),
				"type" => "panel",
				"id" => "general_panel",
				"priority" => "10",
				
			),

			/* SKINS */ 

			array( 

				"title" => esc_html__( "Color Scheme",'sean-lite'),
				"type" => "section",
				"panel" => "general_panel",
				"priority" => "11",
				"id" => "colorscheme_section",

			),

			array(
				
				"label" => esc_html__( "Predefined Color Schemes",'sean-lite'),
				"description" => esc_html__( "Choose your Color Scheme",'sean-lite'),
				"id" => "wip_skin",
				"type" => "select",
				"section" => "colorscheme_section",
				"options" => array (
				   "turquoise" => esc_html__( "Turquoise",'sean-lite'),
				   "orange" => esc_html__( "Orange",'sean-lite'),
				   "blue" => esc_html__( "Blue",'sean-lite'),
				   "red" => esc_html__( "Red",'sean-lite'),
				   "pink" => esc_html__( "Pink",'sean-lite'),
				   "purple" => esc_html__( "Purple",'sean-lite'),
				   "yellow" => esc_html__( "Yellow",'sean-lite'),
				   "green" => esc_html__( "Green",'sean-lite'),
				   "white_turquoise" => esc_html__( "White & Turquoise",'sean-lite'),
				   "white_orange" => esc_html__( "White & Orange",'sean-lite'),
				   "white_blue" => esc_html__( "White & Blue",'sean-lite'),
				   "white_red" => esc_html__( "White & Red",'sean-lite'),
				   "white_pink" => esc_html__( "White & Pink",'sean-lite'),
				   "white_purple" => esc_html__( "White & Purple",'sean-lite'),
				   "white_yellow" => esc_html__( "White & Yellow",'sean-lite'),
				   "white_green" => esc_html__( "White & Green",'sean-lite'),
				),
				
				"std" => "turquoise",
			
			),

			/* PAGE WIDTH */ 

			array( 

				"title" => esc_html__( "Page width",'sean-lite'),
				"type" => "section",
				"id" => "pagewidth_section",
				"panel" => "general_panel",
				"priority" => "12",

			),

			array( 

				"label" => esc_html__( "Screen greater than 768px",'sean-lite'),
				"description" => esc_html__( "Set a width, for a screen greater than 768 pixel (for example 750 and not 750px ) ",'sean-lite'),
				"id" => "wip_screen1",
				"type" => "text",
				"section" => "pagewidth_section",
				"std" => "750",

			),

			array( 

				"label" => esc_html__( "Screen greater than 992px",'sean-lite'),
				"description" => esc_html__( "Set a width, for a screen greater than 992 pixel (for example 940 and not 940px ) ",'sean-lite'),
				"id" => "wip_screen2",
				"type" => "text",
				"section" => "pagewidth_section",
				"std" => "940",

			),

			array( 

				"label" => esc_html__( "Screen greater than 1200px",'sean-lite'),
				"description" => esc_html__( "Set a width, in px, for a screen greater than 1200 pixel (for example 1170 and not 1170px ) ",'sean-lite'),
				"id" => "wip_screen3",
				"type" => "text",
				"section" => "pagewidth_section",
				"std" => "940",

			),

			/* SETTINGS SECTION */ 

			array( 

				"title" => esc_html__( "Settings",'sean-lite'),
				"type" => "section",
				"id" => "settings_section",
				"panel" => "general_panel",
				"priority" => "13",

			),

			array(
				
				"label" => esc_html__( "Infinite scroll",'sean-lite'),
				"description" => esc_html__( "Do you want to use the infinite scroll, for the articles?",'sean-lite'),
				"id" => "wip_infinitescroll_system",
				"type" => "select",
				"section" => "settings_section",
				"options" => array (
				   "off" => esc_html__( "No",'sean-lite'),
				   "on" => esc_html__( "Yes",'sean-lite'),
				),
				
				"std" => "off",
			
			),

			array(
				
				"label" => esc_html__( "Read more button",'sean-lite'),
				"description" => esc_html__( "Do you want to use a button, for open the posts? (Instead of [...])",'sean-lite'),
				"id" => "wip_readmore_button",
				"type" => "select",
				"section" => "settings_section",
				"options" => array (
				   "off" => esc_html__( "No",'sean-lite'),
				   "on" => esc_html__( "Yes",'sean-lite'),
				),
				
				"std" => "off",
			
			),

			array( 

				"title" => esc_html__( "Styles",'sean-lite'),
				"type" => "section",
				"id" => "styles_section",
				"panel" => "general_panel",
				"priority" => "14",

			),

			array( 

				"label" => esc_html__( "Custom css",'sean-lite'),
				"description" => esc_html__( "Insert your custom css code.",'sean-lite'),
				"id" => "wip_custom_css_code",
				"type" => "custom_css",
				"section" => "styles_section",
				"std" => "",

			),

			/* LAYOUTS SECTION */ 

			array( 

				"title" => esc_html__( "Layouts",'sean-lite'),
				"type" => "section",
				"id" => "layouts_section",
				"panel" => "general_panel",
				"priority" => "15",

			),

			array(
				
				"label" => esc_html__("Home Blog Layout",'sean-lite'),
				"description" => esc_html__("If you've set the latest articles, for the homepage, choose a layout.",'sean-lite'),
				"id" => "wip_home",
				"type" => "select",
				"section" => "layouts_section",
				"options" => array (
				   "full" => esc_html__( "Full Width",'sean-lite'),
				   "left-sidebar" => esc_html__( "Left Sidebar",'sean-lite'),
				   "right-sidebar" => esc_html__( "Right Sidebar",'sean-lite'),
				),
				
				"std" => "right-sidebar",
			
			),
	

			array(
				
				"label" => esc_html__("Category Layout",'sean-lite'),
				"description" => esc_html__("Select a layout for category pages.",'sean-lite'),
				"id" => "wip_category_layout",
				"type" => "select",
				"section" => "layouts_section",
				"options" => array (
				   "full" => esc_html__( "Full Width",'sean-lite'),
				   "left-sidebar" => esc_html__( "Left Sidebar",'sean-lite'),
				   "right-sidebar" => esc_html__( "Right Sidebar",'sean-lite'),
				),
				
				"std" => "right-sidebar",
			
			),
	

			array(
				
				"label" => esc_html__("Search Layout",'sean-lite'),
				"description" => esc_html__("Select a layout for the search page.",'sean-lite'),
				"id" => "wip_search_layout",
				"type" => "select",
				"section" => "layouts_section",
				"options" => array (
				   "full" => esc_html__( "Full Width",'sean-lite'),
				   "left-sidebar" => esc_html__( "Left Sidebar",'sean-lite'),
				   "right-sidebar" => esc_html__( "Right Sidebar",'sean-lite'),
				),
				
				"std" => "right-sidebar",
			
			),

			/* THUMBNAILS SECTION */ 

			array( 

				"title" => esc_html__( "Thumbnails",'sean-lite'),
				"type" => "section",
				"id" => "thumbnails_section",
				"panel" => "general_panel",
				"priority" => "16",

			),

			array( 

				"label" => esc_html__( "Blog Thumbnail",'sean-lite'),
				"description" => esc_html__( "Insert the height for blog thumbnail.",'sean-lite'),
				"id" => "wip_blog_thumbinal",
				"type" => "text",
				"section" => "thumbnails_section",
				"std" => "550",

			),

			/* HEADER AREA SECTION */ 

			array( 

				"title" => esc_html__( "Header",'sean-lite'),
				"type" => "section",
				"id" => "header_section",
				"panel" => "general_panel",
				"priority" => "17",

			),

			array( 

				"label" => esc_html__( "Custom Logo",'sean-lite'),
				"description" => esc_html__( "Upload your custom logo",'sean-lite'),
				"id" => "wip_custom_logo",
				"type" => "upload",
				"section" => "header_section",
				"std" => "",

			),

			/* FOOTER AREA SECTION */ 

			array( 

				"title" => esc_html__( "Footer",'sean-lite'),
				"type" => "section",
				"id" => "footer_section",
				"panel" => "general_panel",
				"priority" => "18",

			),

			array( 

				"label" => esc_html__( "Copyright Text",'sean-lite'),
				"description" => esc_html__( "Insert your copyright text.",'sean-lite'),
				"id" => "wip_copyright_text",
				"type" => "textarea",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => esc_html__( "Facebook Url",'sean-lite'),
				"description" => esc_html__( "Insert Facebook Url (empty if you want to hide the button)",'sean-lite'),
				"id" => "wip_footer_facebook_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => esc_html__( "Twitter Url",'sean-lite'),
				"description" => esc_html__( "Insert Twitter Url (empty if you want to hide the button)",'sean-lite'),
				"id" => "wip_footer_twitter_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => esc_html__( "Flickr Url",'sean-lite'),
				"description" => esc_html__( "Insert Flickr Url (empty if you want to hide the button)",'sean-lite'),
				"id" => "wip_footer_flickr_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => esc_html__( "Linkedin Url",'sean-lite'),
				"description" => esc_html__( "Insert Linkedin Url (empty if you want to hide the button)",'sean-lite'),
				"id" => "wip_footer_linkedin_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => esc_html__( "Pinterest Url",'sean-lite'),
				"description" => esc_html__( "Insert Pinterest Url (empty if you want to hide the button)",'sean-lite'),
				"id" => "wip_footer_pinterest_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => esc_html__( "Tumblr Url",'sean-lite'),
				"description" => esc_html__( "Insert Tumblr Url (empty if you want to hide the button)",'sean-lite'),
				"id" => "wip_footer_tumblr_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => esc_html__( "Youtube Url",'sean-lite'),
				"description" => esc_html__( "Insert Youtube Url (empty if you want to hide the button)",'sean-lite'),
				"id" => "wip_footer_youtube_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => esc_html__( "Skype Url",'sean-lite'),
				"description" => esc_html__( "Insert Skype ID (empty if you want to hide the button)",'sean-lite'),
				"id" => "wip_footer_skype_button",
				"type" => "button",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => esc_html__( "Instagram Url",'sean-lite'),
				"description" => esc_html__( "Insert Instagram Url (empty if you want to hide the button)",'sean-lite'),
				"id" => "wip_footer_instagram_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => esc_html__( "Github Url",'sean-lite'),
				"description" => esc_html__( "Insert Github Url (empty if you want to hide the button)",'sean-lite'),
				"id" => "wip_footer_github_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => esc_html__( "Xing Url",'sean-lite'),
				"description" => esc_html__( "Insert Xing Url (empty if you want to hide the button)",'sean-lite'),
				"id" => "wip_footer_xing_button",
				"type" => "url",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => esc_html__( "WhatsApp number",'sean-lite'),
				"description" => esc_html__( "Insert WhatsApp number (empty if you want to hide the button)",'sean-lite'),
				"id" => "wip_footer_whatsapp_button",
				"type" => "button",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => esc_html__( "Telegram number",'sean-lite'),
				"description" => esc_html__( "Insert Telegram number (empty if you want to hide the button)",'sean-lite'),
				"id" => "wip_footer_telegram_button",
				"type" => "button",
				"section" => "footer_section",
				"std" => "",

			),

			array( 

				"label" => esc_html__( "Email Address",'sean-lite'),
				"description" => esc_html__( "Insert Email Address (empty if you want to hide the button)",'sean-lite'),
				"id" => "wip_footer_email_button",
				"type" => "button",
				"section" => "footer_section",
				"std" => "",

			),

			array(
				
				"label" => esc_html__( "Feed Rss Button",'sean-lite'),
				"description" => esc_html__( "Do you want to display the Feed Rss button?",'sean-lite'),
				"id" => "wip_footer_rss_button",
				"type" => "select",
				"section" => "footer_section",
				"options" => array (
				   "off" => esc_html__( "No",'sean-lite'),
				   "on" => esc_html__( "Yes",'sean-lite'),
				),
				
				"std" => "off",
			
			),

			/* TYPOGRAPHY SECTION */ 

			array( 
				
				"title" => esc_html__( "Typography",'sean-lite'),
				"description" => esc_html__( "Typography",'sean-lite'),
				"type" => "panel",
				"id" => "typography_panel",
				"priority" => "11",
				
			),

			/* LOGO */ 

			array( 

				"title" => esc_html__( "Logo",'sean-lite'),
				"type" => "section",
				"id" => "logo_section",
				"panel" => "typography_panel",
				"priority" => "10",

			),

			array( 

				"label" => esc_html__( "Font size",'sean-lite'),
				"description" => esc_html__( "Insert a size, for logo font (For example, 60px) ",'sean-lite'),
				"id" => "wip_logo_font_size",
				"type" => "text",
				"section" => "logo_section",
				"std" => "60px",

			),

			/* MENU */ 

			array( 

				"title" => esc_html__( "Menu",'sean-lite'),
				"type" => "section",
				"id" => "menu_section",
				"panel" => "typography_panel",
				"priority" => "11",

			),

			array( 

				"label" => esc_html__( "Font size",'sean-lite'),
				"description" => esc_html__( "Insert a size, for menu font (For example, 14px) ",'sean-lite'),
				"id" => "wip_menu_font_size",
				"type" => "text",
				"section" => "menu_section",
				"std" => "14px",

			),

			/* CONTENT */ 

			array( 

				"title" => esc_html__( "Content",'sean-lite'),
				"type" => "section",
				"id" => "content_section",
				"panel" => "typography_panel",
				"priority" => "12",

			),

			array( 

				"label" => esc_html__( "Font size",'sean-lite'),
				"description" => esc_html__( "Insert a size, for content font (For example, 14px) ",'sean-lite'),
				"id" => "wip_content_font_size",
				"type" => "text",
				"section" => "content_section",
				"std" => "14px",

			),


			/* HEADLINES */ 

			array( 

				"title" => esc_html__( "Headlines",'sean-lite'),
				"type" => "section",
				"id" => "headlines_section",
				"panel" => "typography_panel",
				"priority" => "13",

			),

			array( 

				"label" => esc_html__( "H1 headline",'sean-lite'),
				"description" => esc_html__( "Insert a size, for for H1 elements (For example, 24px) ",'sean-lite'),
				"id" => "wip_h1_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "24px",

			),

			array( 

				"label" => esc_html__( "H2 headline",'sean-lite'),
				"description" => esc_html__( "Insert a size, for for H2 elements (For example, 22px) ",'sean-lite'),
				"id" => "wip_h2_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "22px",

			),

			array( 

				"label" => esc_html__( "H3 headline",'sean-lite'),
				"description" => esc_html__( "Insert a size, for for H3 elements (For example, 20px) ",'sean-lite'),
				"id" => "wip_h3_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "20px",

			),

			array( 

				"label" => esc_html__( "H4 headline",'sean-lite'),
				"description" => esc_html__( "Insert a size, for for H4 elements (For example, 18px) ",'sean-lite'),
				"id" => "wip_h4_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "18px",

			),

			array( 

				"label" => esc_html__( "H5 headline",'sean-lite'),
				"description" => esc_html__( "Insert a size, for for H5 elements (For example, 16px) ",'sean-lite'),
				"id" => "wip_h5_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "16px",

			),

			array( 

				"label" => esc_html__( "H6 headline",'sean-lite'),
				"description" => esc_html__( "Insert a size, for for H6 elements (For example, 14px) ",'sean-lite'),
				"id" => "wip_h6_font_size",
				"type" => "text",
				"section" => "headlines_section",
				"std" => "14px",

			),
		);
		
		new seanlite_customize($theme_panel);
		
	} 
	
	add_action( 'seanlite_customize_panel', 'seanlite_customize_panel_function', 10, 2 );

}

do_action('seanlite_customize_panel');

?>