<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
   
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.2, user-scalable=yes" />

<?php wp_head(); ?>

</head>

<body <?php body_class(); ?> >

<?php 

if ( function_exists('wp_body_open') ) {
	wp_body_open();
}

?>

<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'sean-lite' ); ?></a>

<header id="header" role="banner">

	<button class="menu-toggle" aria-controls="main-navigation" aria-expanded="false" type="button">
		<span aria-hidden="true"><?php esc_html_e( 'Menu', 'sean-lite' ); ?></span>
		<span class="dashicons" aria-hidden="true"></span>
	</button>

	<nav id="main-navigation" class="site-navigation primary-navigation" role="navigation">
		
		<?php 
		
			wp_nav_menu(
				array(
                    'theme_location' => 'main-menu',
                    'container' => 'false',
					'menu_id' => 'primary-menu',
					'menu_class' => 'primary-menu menu',
				)
			);
            
		?>
	
    </nav>

</header>    	

<div class="container logo">
	
    <div class="row">
    	
        <div class="col-md-12">
        
            <div id="logo">
                            
                <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr(get_bloginfo('name')); ?>">
                                        
                    <?php 
                                                    
                        if ( seanlite_setting('wip_custom_logo') ):
                            echo "<img src='".esc_url(seanlite_setting('wip_custom_logo'))."' alt='logo'>"; 
                        else: 
                            bloginfo('name');
                            echo "<span>".get_bloginfo('description')."</span>";
                        endif; 
                                        
                    ?>
                                            
                </a>
                            
            </div>

			<nav id="mobilemenu" >
				
				<?php 
                    
					wp_nav_menu(
                    array(
                        'theme_location' => 'main-menu',
                        'container' => 'false'
                        )
                    );
                
				?>
                
			</nav>
            
        </div>
        
    </div>
    
</div>